<template>
    <view style="position: relativce;">
        <web-view :src="url"></web-view>
    </view>
</template>

<script>
export default {
    data() {
        return {
            url: '',
        }
    },
    onLoad: function (options) {
        // this.setData({
        //   // url: options.url + "?order=" + options.order + "&appId=" + options.appId + "&invoiceType=0",
        //   url: options.url
        // })
        // console.log(this.url)

        this.showPdf(options.url);
    },
    methods: {
        openReport(url) {
            uni.showLoading({
                title: '文件加载中，请耐心等待',
                mask: true
            })
            uni.downloadFile({
                url: url,
                success: function (res) {
                    uni.hideLoading()
                    var filePath = res.tempFilePath;
                    uni.showLoading({
                        title: '加载完成，正在打开',
                        mask: true
                    })
                    uni.openDocument({
                        filePath: filePath,
                        fileType: 'pdf',
                        showMenu: true, // 文件右上角出现三个点 可以转发该文件
                        success: function (res) {
                            uni.hideLoading()
                        },
                        fail: function (err) {
                            uni.hideLoading()
                        }
                    });
                },
                fail: function (err) {
                    uni.hideLoading()
                }
            });
        },
        navigateTo(url) {
            uni.navigateTo({
                url
            });
        },
        showPdf(url) {
            let self = this;
            switch (uni.getSystemInfoSync().platform) {
                case 'android':
                    console.log('安卓')
                    // 这里直接调用原生的方法，我们上面定义的
                    self.openReport(url)
                    break;
                case 'ios':
                    console.log('IOS')
                    // 这里直接调用原生的方法，我们上面定义的
                    self.openReport(url)
                    break;
                default:
                    console.log('微信开发者工具')
                    this.url = url
                    break;
            }
        },
    }
}
</script>
